Subject: bug#51132: Make sure user is doubly aware of finished complilations

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Oct 2021 15:16:45 +0300

> From: 積丹尼 Dan Jacobson
>  <[email-masked]>
> Date: Mon, 11 Oct 2021 14:50:39 +0800
> 
> (info "(emacs) Compilation"):
> 
> "While the compilation is running … the word ‘Compiling’ appears in
> all mode lines."
> 
> That's good. Because "Nobody is going to sit in the Laundromat watching
> the dryer spin." They'll be somewhere else doing something else. (I.e.,
> they won't be staring at the *compilation* buffer.)
> 
> OK, but then it disappears when the compilation is over.

It does?  Here, I see that it leaves at least 2 indications that the
compilation is complete:

  . I see "Compilation finished at <DATE> <TIME>" in the buffer
  . I see "Compilation:exit" on the mode line (all of them)

And if the compilation fails, those indication has a distinct color
that stands out.  That hardly counts as "disappearance".